|  | Home | Documentation | soap_wsrm_sequence Struct Reference updated Mon Dec 19 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_wsrm_sequence Struct Reference

Linked list of currently active message sequences. More...

`#include <wsrmapi.h>`

Collaboration diagram for soap_wsrm_sequence:
[legend]

## Public Attributes
struct soap_wsrm_sequence * | next
size_t | refs
short | handle
short | ackreq
const char * | id
const char * | acksid
const char * | to
const char * | repto
const char * | acksto
time_t | timestamp
time_t | expires
int | retry
enum wsrm__IncompleteSequenceBehaviorType | behavior
ULONG64 | num
ULONG64 | recvnum
ULONG64 | lastnum
enum wsrm__FaultCodes | fault
enum soap_wsrm_state | state
struct soap_wsrm_message * | messages
struct soap_wsrm_message * | messageslast
struct soap_wsrm_range * | ranges
int | channel

## Detailed Description

Linked list of currently active message sequences.

## Member Data Documentation

short soap_wsrm_sequence::ackreq

ack requested by dest

const char* soap_wsrm_sequence::acksid

sequence ID for ack requests (gen by source)

const char* soap_wsrm_sequence::acksto

ack to endpoint

enum wsrm__IncompleteSequenceBehaviorType soap_wsrm_sequence::behavior

int soap_wsrm_sequence::channel

callback WCF channel instance

time_t soap_wsrm_sequence::expires

date/time of expiration

enum wsrm__FaultCodes soap_wsrm_sequence::fault

sequence fault (use when error)

short soap_wsrm_sequence::handle

sequence in use by source (has a handle)

const char* soap_wsrm_sequence::id

sequence ID (from dest)

ULONG64 soap_wsrm_sequence::lastnum

last message num received upon closing

struct soap_wsrm_message* soap_wsrm_sequence::messages

linked list of messages

struct soap_wsrm_message* soap_wsrm_sequence::messageslast

back insertion in message list

struct soap_wsrm_sequence* soap_wsrm_sequence::next

next sequence

ULONG64 soap_wsrm_sequence::num

message sequence num sent

struct soap_wsrm_range* soap_wsrm_sequence::ranges

ranges of received messages

ULONG64 soap_wsrm_sequence::recvnum

message num received (used to be lastnum)

size_t soap_wsrm_sequence::refs

refs to sequence

const char* soap_wsrm_sequence::repto

reply to endpoint

int soap_wsrm_sequence::retry

retry count

enum soap_wsrm_state soap_wsrm_sequence::state

sequence state

time_t soap_wsrm_sequence::timestamp

date/time of most recent update

const char* soap_wsrm_sequence::to

to endpoint

The documentation for this struct was generated from the following file:

- wsrmapi.h